{
  "format_version": "1.12",
  "minecraft:recipe_shapeless": {
    "description": {
      "identifier": "recipes_gunpowder"
    },
    "tags": [
      "heavyworkbench"
    ],
    "ingredients": [
      {
        "item": "minecraft:glowstone_dust",
        "data": 0
      },
      {
        "item": "minecraft:coal",
        "data": 0
      }
    ],
    "result": {
      "item": "minecraft:gunpowder",
      "count": 2,
      "data": 0
    }
  }
}